Bug 1480657 - CVE-2017-11331 vorbis-tools: Invalid memory allocation in wav_open function in oggenc/audio.c [fedora-all]
Summary: CVE-2017-11331 vorbis-tools: Invalid memory allocation in wav_open function i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vorbis-tools
Version: 26
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-11331
TreeView+ depends on / blocked
 
Reported: 2017-08-11 15:17 UTC by Pedro Sampaio
Modified: 2017-12-06 22:40 UTC (History)
3 users (show)

Fixed In Version: vorbis-tools-1.4.0-14.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 22:40:14 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-08-11 15:17:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2017-08-11 15:18:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1480656

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Kamil Dudka 2017-08-14 10:01:34 UTC
To be honest, I do not see any (security) problem here.  If the audio file header is corrupted, oggenc simply cannot cannot open the file.  From user's perspective it does not really matter whether the process is terminated by exit() or by the kernel handling a NULL pointer dereference.  Please clarify what exactly is your concern here.

Comment 3 Pedro Sampaio 2017-08-18 13:10:51 UTC
The fact that it terminates via a NULL pointer dereference means that someone can  crash it from another process. Thats probably why it got a CVE and why its a security issue.

As this already has a CVE, I we can't do anything else about it but feel free to close it of you think you should.

Comment 4 Kamil Dudka 2017-12-06 22:40:14 UTC
I believe this was fixed in vorbis-tools-1.4.0-14.fc20, so I am closing the bug as CURRENTRELEASE.  Please feel free to reopen if you are still able to trigger the crash.


Note You need to log in before you can comment on or make changes to this bug.